Bug 843469 - HT Deadlines are not cancelled on task completion
HT Deadlines are not cancelled on task completion
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Shelly McGowan
Jiri Locker
:
Depends On:
Blocks: 852879 843911 843917
  Show dependency treegraph
 
Reported: 2012-07-26 08:18 EDT by Marco Rietveld
Modified: 2018-06-09 17:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852879 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3661 Major Resolved HT Deadlines are not cancelled on task completion 2017-03-20 18:08 EDT

  None (edit)
Description Marco Rietveld 2012-07-26 08:18:56 EDT
Description of problem:

Human task deadlines are not cancelled when task is finished in any way:

- complete
- skip
- fail
- exit

This causes a notification to be send out even after the task has been completed.


Version-Release number of selected component (if applicable): 5.3.0.GA


How reproducible:
Always

Steps to Reproduce:
(abbreviated steps, see test for full procedure)
1. Register a notification handler
2. Create a task with a deadline
3. Complete the task with the deadline
4. Retrieve the task information (or other task server operation involving the task)
5. There should be no more notifications. 
  
See this test, and all tests under it: 

https://github.com/droolsjbpm/jbpm/blob/master/jbpm-human-task/jbpm-human-task-core/src/test/java/org/jbpm/task/service/base/async/TaskServiceDeadlinesBaseAsyncTest.java#L208

Actual results:
Notifications (such as e-mails) are sent even after the task has been completed, skipped or failed. 

Expected results:
Notifications should stop as soon as the task has been completed/skipped or failed. 


Additional info:
Comment 3 Marco Rietveld 2012-07-31 11:54:35 EDT
This fix (2 commits) was committed today to the community 5.2.x branch: 

525e264 2012-07-31 | BZ-843469 JBPM-3661 HT Deadlines are not cancelled on task completion - removed deadlines from db on completion and added async tests (modified cherry pick from commit 2b03575ca52ca79a6b54682a3140f4ac5cf1ac8b) (HEAD, upstream/5.2.x, 5.2.x) [Maciej Swiderski]

d92cd8b 2012-07-31 | BZ-843469 JBPM-3661 HT Deadlines are not cancelled on task completion (modified cherry pick from commit 5181ddf84ddf718727f3a55f7715b8416bfe4baf) [Maciej Swiderski]
Comment 4 Jiri Locker 2012-08-10 09:34:58 EDT
The fix has landed in bug 843917 roll-up patch.

Note You need to log in before you can comment on or make changes to this bug.